Package fr.gouv.vitam.common.model.unit

# Class SignatureTypeModel

java.lang.Object
fr.gouv.vitam.common.model.unit.SignatureTypeModel

public class SignatureTypeModel extends Object
Deprecated.
Old Signature model (Seda 2.1 invalid input: '&' 2.2). Superseded by SigningInformation model in Seda 2.3+.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ReferencedObjectTypeModel`
  `referencedObject`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignatureTypeModel()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMasterdata()`
  Deprecated.
  `ReferencedObjectTypeModel`
  `getReferencedObject()`
  Deprecated.
  `List<ValidatorOrSignerModel>`
  `getSigner()`
  Deprecated.
  `ValidatorOrSignerModel`
  `getValidator()`
  Deprecated.
  `SignatureTypeModel`
  `setMasterdata(String masterdata)`
  Deprecated.
  `SignatureTypeModel`
  `setReferencedObject(ReferencedObjectTypeModel referencedObject)`
  Deprecated.
  `SignatureTypeModel`
  `setSigner(List<ValidatorOrSignerModel> signer)`
  Deprecated.
  `SignatureTypeModel`
  `setValidator(ValidatorOrSignerModel validator)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### referencedObject

    protected ReferencedObjectTypeModel referencedObject
    Deprecated.

- ## Constructor Details

  - ### SignatureTypeModel

    public SignatureTypeModel()
    Deprecated.

- ## Method Details

  - ### getSigner

    public List<ValidatorOrSignerModel> getSigner()
    Deprecated.

  - ### setSigner

    public SignatureTypeModel setSigner(List<ValidatorOrSignerModel> signer)
    Deprecated.

  - ### getValidator

    public ValidatorOrSignerModel getValidator()
    Deprecated.

  - ### setValidator

    public SignatureTypeModel setValidator(ValidatorOrSignerModel validator)
    Deprecated.

  - ### getMasterdata

    public String getMasterdata()
    Deprecated.

  - ### setMasterdata

    public SignatureTypeModel setMasterdata(String masterdata)
    Deprecated.

  - ### getReferencedObject

    public ReferencedObjectTypeModel getReferencedObject()
    Deprecated.

  - ### setReferencedObject

    public SignatureTypeModel setReferencedObject(ReferencedObjectTypeModel referencedObject)
    Deprecated.